"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const filterSourceDirs_1 = require("../common/filterSourceDirs");
const tsUtils_1 = require("../common/tsUtils");
const UpdateChanges_1 = require("../common/UpdateChanges");
function default_1() {
    return (host, context) => {
        context.logger.info('Applying migration for Ignite UI for Angular to version 6.0.1');
        return schematics_1.chain([
            filterSourceDirs_1.filterSourceDirs(host, context),
            // tslint:disable-next-line:no-shadowed-variable
            (host, context) => {
                const update = new UpdateChanges_1.UpdateChanges(__dirname, host, context);
                // update.applyChanges();
                // rename submodule imports
                for (const entry of update.tsFiles) {
                    let content = entry.content.toString();
                    if (content.indexOf('igniteui-angular/') !== -1) {
                        const pos = tsUtils_1.getImportModulePositions(content, 'igniteui-angular/');
                        for (let i = pos.length; i--;) {
                            content = content.slice(0, pos[i].start) + 'igniteui-angular' + content.slice(pos[i].end);
                        }
                        host.overwrite(entry.path, content);
                    }
                }
            }
        ])(host, context);
    };
}
exports.default = default_1;
